Description

For projects with lots of users it may be time-consuming to find assignees in dropdown lists. It would be nice to add a text filter to

such fields that would allow to enter some characters of the user's name and display only users whose names match it.

Probably something like this: http://www.listjs.com/examples/fuzzy-search

History

#1 - 2016-08-19 11:34 - Anonymous

This functionality already exists to add watchers. Should be easy to also apply to assignee?

#2 - 2016-08-19 13:59 - Serghei Zagorinyak

JW Fuchs wrote:

This functionality already exists to add watchers. Should be easy to also apply to assignee?

1. Filter implemented in 'Watchers' uses AJAX requests to fetch filtered results which is kinda slow. The one in example filters values on the client

side which is much faster.

2. The 'Watchers' filter is ugly and clumsy. There already are dropdown lists for users in the UI, we should use them.

3. This is needed not for assignee only, but for every field with type = 'user'

#3 - 2017-02-01 10:22 - Serghei Zagorinyak

Found a much better soultion than the one I initially proposed: https://github.com/selectize/selectize.js

See demos section: http://selectize.github.io/selectize.js/

#4 - 2023-05-05 10:17 - Go MAEDA

- Category changed from UI to Filters
